<?xml version="1.0" encoding="UTF-8"?>
<web-app version="3.1" xmlns="http://xmlns.jcp.org/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd">
    <display-name>siasar</display-name>
    <context-param>
        <param-name>javax.faces.PROJECT_STAGE</param-name>
        <param-value>Development</param-value>
    </context-param>
    <context-param>
        <param-name>primefaces.THEME</param-name>
        <param-value>start</param-value>
    </context-param>
    <servlet>
        <servlet-name>Faces Servlet</servlet-name>
        <servlet-class>javax.faces.webapp.FacesServlet</servlet-class>
        <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet-mapping>
        <servlet-name>Faces Servlet</servlet-name>
        <url-pattern>*.xhtml</url-pattern>
        <url-pattern>*.jsf</url-pattern>
        <url-pattern>*.faces</url-pattern>
    </servlet-mapping>
    <welcome-file-list>
        <welcome-file>index.xhtml</welcome-file>
        <welcome-file>indexSinAutenticar.xhtml</welcome-file>
    </welcome-file-list>
    <security-constraint>
        <display-name>Contenido autenticado</display-name>
        <web-resource-collection>
            <web-resource-name>inicio</web-resource-name>
            <description>Restricción a las páginas Web</description>
            <url-pattern>/index.xhtml</url-pattern>
        </web-resource-collection>
        <auth-constraint>
            <role-name>DIGITADOR</role-name>
            <role-name>VALIDADOR</role-name>
            <role-name>ENCUESTADOR</role-name>
        </auth-constraint>
    </security-constraint>
    <login-config>
        <auth-method>FORM</auth-method>
        <realm-name>CargueMasivoAdmin</realm-name>
        <form-login-config>
            <form-login-page>/sua/iniciarSesion.jsp</form-login-page>
            <form-error-page>/errores/403.jsp</form-error-page>
        </form-login-config>
    </login-config>
    <security-role>
        <description>Validador</description>
        <role-name>VALIDADOR</role-name>
    </security-role>
    <security-role>
        <description>Digitador</description>
        <role-name>DIGITADOR</role-name>
    </security-role>
    <security-role>
        <description>Encuestador</description>
        <role-name>ENCUESTADOR</role-name>
    </security-role>
    <session-config>
        <session-timeout>15</session-timeout>
    </session-config>
    <error-page>
        <exception-type>javax.faces.application.ViewExpiredException</exception-type>
        <location>/errors/expired.xhtml</location>
    </error-page>
</web-app>
